For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check domain availability

Check availability of domain names across multiple TLDs.

Check domain availability

post

Check availability of domain names across multiple TLDs.

Multiple TLDs can be checked at once. If you want alternative domains with response, provide only one TLD and set with_alternatives to true. TLDs should be provided without leading dot (e.g. com, net, org).

Endpoint has rate limit of 90 requests per minute.

Use this endpoint to verify domain availability before purchase.

Authorizations
AuthorizationstringRequired

API Token authentication

Body
domainstringRequired

Domain name (without TLD)

Example: mydomain
tldsstring[]Required

TLDs list

Example: ["com","net","org"]
with_alternativesbooleanOptional

Should response include alternatives

Default: falseExample: true
Responses
200

Success response

application/json
domainstring · nullableOptional

Domain name, null when not claimed free domain

Example: mydomain.tld
is_availablebooleanOptional

true if domain is available for registration

Example: true
is_alternativebooleanOptional

true if domain is provided as an alternative

Example: false
restrictionstring · nullableOptional

Special rules and/or restrictions applied for registering TLD

post/api/domains/v1/availability
POST /api/domains/v1/availability HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "domain": "mydomain",
  "tlds": [
    "com",
    "net",
    "org"
  ],
  "with_alternatives": true
}
[
  {
    "domain": "mydomain.tld",
    "is_available": true,
    "is_alternative": false,
    "restriction": "text"
  }
]

Last updated

Was this helpful?